<?php 
include('../conexion.php'); 
include ("../funciones/fechas.php"); 
date_default_timezone_set('America/Costa_Rica');


	session_start();
	 $usu=$_SESSION['username'];
	 
	$estadohacienda="EN LINEA";

	$enlinea=1 ;

			
	$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
	$resultado = $mysqli->query($consulta);
	$row = $resultado->fetch_array();
	$nomb = $row["usu"];
	$cdgcaj = $row["codusu"];
	$cod = $row["codusu"];		



	
if (!isset($_POST["accion"])) { $accion=""; } else  { $accion=$_POST["accion"]; }		
 if (!isset($accion)) { $accion=$_GET["accion"]; }
  if (!isset($_POST["cedcli"])) { $cedcli=""; } else  { $cedcli=$_POST["cedcli"]; }
   if (!isset($_POST["numfactura"])) { $numfactura=""; } else  { $numfactura=$_POST["numfactura"]; }
    if (!isset($_POST["descuento"])) { $descuento=""; } else  { $descuento=$_POST["descuento"]; }
     if (!isset($_POST["codfacturacontado"])) { $codfacturacontado=""; } else  {  $codfacturacontado=$_POST["codfacturacontado"]; }
      if (!isset($_POST["codfacturacontado"])) { $codfacturacontado2=""; } else  {  $codfacturacontado2=$_POST["codfacturacontado"]; }
       if (!isset($_POST["cdgtipexo"])) { $cdgtipexo=""; } else  {  $cdgtipexo=$_POST["cdgtipexo"]; }
        if (!isset($_POST["numdocexo"])) { $numdocexo=""; } else  {  $numdocexo=$_POST["numdocexo"]; }
         if (!isset($_POST["nominstexo"])) { $nominstexo=""; } else  {  $nominstexo=$_POST["nominstexo"]; }


if (!isset($_POST["combotipoventa"])) { $cdgtipven="1";  } else  {  $cdgtipven=$_POST["combotipoventa"];  }
if (!isset($_POST["chkimpdet"])) { $chkimpdet=""; } else  { $chkimpdet=$_POST["chkimpdet"]; }

	 $codpedidotmp=$_POST["codfactura"];
	 $codfacturatmp=$_POST["codfactura"];
	 $cdgcli=$_POST["cdgcli"];
	 $dsccli=strtoupper($_POST["dsccli"]);
	 $cliexento=$_POST["cliexento"];
	 
	$hora = date("H:i:s");
	$fecha=date("Y-m-d");
	$fechac = date("Y-m-d\TH:i:sP");



	$total_sin_impser=$_POST["total"];
	$total_sin_impser = str_replace  (",","",$total_sin_impser);
	$total_sin_impser = str_replace  ("₡","",$total_sin_impser);

  
  	$total=$_POST["total_con_impser"];
	$total = str_replace  (",","",$total);
	$total = str_replace  ("₡","",$total);
	
	//$total2=$_POST["total2"];
	//$total2 = str_replace  (",","",$total2);

    $impser=$_POST["impser"];
	$impser = str_replace  (",","",$impser);
	$impser = str_replace  ("₡","",$impser);
	
	$efectivo=$_POST["efectivo2"];
	if ($efectivo  > 0) { $medpago="01";  }
	$efectivo = str_replace  (",","",$efectivo);
	$efectivo = str_replace  ("₡","",$efectivo);
	
	
	$dolares=$_POST["dolares2"];
	if ($dolares > 0) { $medpago="01";  }
	$dolares = str_replace  (",","",$dolares);
	$dolares = str_replace  ("$","",$dolares);
	 
	
	$tarjetas=$_POST["tarjetas2"];
	if ($tarjetas  > 0) { $medpago="02";  }
	$tarjetas = str_replace  (",","",$tarjetas);
	$tarjetas = str_replace  ("₡","",$tarjetas);
	
	$cheques=$_POST["cheques2"];
	if ($cheques  > 0) { $medpago="03";  }
	$cheques = str_replace  (",","",$cheques);
	$cheques = str_replace  ("₡","",$cheques);
	
	$depositos=$_POST["depositos2"];
	if ($depositos  > 0) { $medpago="04";  }
	$depositos = str_replace  (",","",$depositos);
	$depositos = str_replace  ("₡","",$depositos);


//$pagacon2=$_POST["pagacon"]; 
//$pagacon = str_replace  (",","",$pagacon2);
	
 $pagacon2=$_POST["pagacon2"];
 $vuelto2=$_POST["vuelto2"];
 
 

$consulta1 = "SELECT * FROM web_0000 ";
$resultado1 = $mysqli->query($consulta1);
$fila = $resultado1->fetch_array();

$numfactura = $fila["NUMPRO"];


   ///////////////////////////////////////  recibe tabla de parametros //////////////////////////////////////////////////
   
       $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $casmat =  $row_para["CASMAT"];
	   $cdgter =  $row_para["CDGTER"];
	   $cedemp =  $row_para["CEDJUR"];
	   $tipcedemp =  $row_para["TIPCEDEMP"];
	   $impdir =  $row_para["impdir"];
	
	  
	    if ( $tipcedemp=="01")  {    // define la cedula de la clave 
	  
	    $cedemp =  "000".$cedemp;      //   
 
 		} else {
		
       $cedemp =  "00".$cedemp; 
 	
		}
		
	      if ( $tipcedemp=="03")  {    // define la tipo DIMEX
	  
	    $cedemp =  $row_para["CEDJUR"];     //   

 	
		}
		
		
	   $cdgpais =  $row_para["CDGPAISEMP"];
	   $tipcamdol =  $row_para["tipcamdol"];
	   $tipmoneda =  $row_para["tipmoneda"];
	   $tipo_emisor =  $row_para["tipcomprobante"];
	   $cdgseghac =  $row_para["cdgseghac"];
	   	   	  
	   $consulta_trib = "SELECT clitributa FROM web_0301 WHERE cdgcli='$cdgcli'";    // se agrega en la version 4.3
       $resultado_trib = $mysqli->query($consulta_trib);
       $row_trib = $resultado_trib->fetch_array();
       $clitributa = $row_trib["clitributa"];
	
	
	 if (  $clitributa == "1")  {    // define el consecutivo   	                // se modifica en la version 4.3
	   
	    $numfactura       =  $row_para["NUMPRO"];
	    $tipo_comprobante = "01";   // define el nuevo comprobante como factura
		
 	} else {	
	    $numfactura       =  $row_para["NUMPRO"];
	    $tipo_comprobante = "04";   // define el nuevo comprobante como tiquete       // se modifica en la version 4.3
    }
		
	   
	   $tarimpvta =  $row_para["tarimp"];
	   $numfactura  =  $numfactura + 1;
	   $numfactura = sprintf("%010d", $numfactura); 
	   $conventa = sprintf("%02d", $cdgtipven);    
	   $feccla= date("dmy");
	   
	 
	   if ($enlinea==1)  {    // DEFINE SI EL COMPROBANTE ESTA EN CONTINGENCIA 
	  
	   $situacion_comprobante = 1;     //   
 
 		} else {
      
	   $situacion_comprobante = 3; 
 	
		}
	   $numcomp =  $casmat.$cdgter.$tipo_comprobante.$numfactura ;
	   $cdgclave =  $cdgpais.$feccla.$cedemp. $numcomp.$situacion_comprobante.$cdgseghac;
	  
	    



	
	$fecha=date("Y-m-d");
	$hora = date("H:i:s");
	
	$query="SELECT * FROM pedidos WHERE codfactura='$codfacturatmp'";	
		$rs_query = $mysqli->query($query);
		$filas = $rs_query->fetch_array();
			 $cdgven    = $filas["cdgven"];
			 $cob_iv    = $filas["cliexe"];
			 $cliexe    = $filas["cliexe"];
			 $obsped    = $filas["obsped"];
	

  	$elimina = "DELETE FROM pagos_parciales_lineas WHERE codfactura  = '$codfacturatmp' AND codigo = 100 ";
	$mysqli->query($elimina);	

  	$elimina2 = "DELETE FROM pedidos_lineas WHERE codfactura  = '$codfacturatmp' AND codigo = 100 ";
	$mysqli->query($elimina2);	
	
	

if ($result = $mysqli->query(" SELECT * FROM pagos_parciales_lineas WHERE codfactura='$codfacturatmp' " )) {
   $lineas_detalle = $result->num_rows;
   $result->close();
}

if  ( $lineas_detalle > 0 )   {
		//************************************************ Seleción del plazo del cliente *********************************
 if ($cdgtipven == 2) {
	 
       $consulta = "SELECT CDGPLA,SALACT,CEDTIP,CEDCLI, fecemiexo FROM web_0301 WHERE cdgcli='$cdgcli'";
       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
        $cedcli = $row["CEDCLI"];
		$cedtip = $row["CEDTIP"];
		$saldo_actual = $row["SALACT"];
	    $pladia = $row["CDGPLA"];
		$medpago = "04"  ;
	    $fecemiexo = $row["fecemiexo"];

        // calculo de la fecha de vencimiento **

		$vencimiento= "+".$pladia." day" ;
		
		$fecven = strtotime ( $vencimiento , strtotime ( $fecha ) ) ;
		$fecven = date ( 'Y-m-d' , $fecven );

		
   } else {
   
	   $cdgtipven = 1;
	   $pladia = "0";
	   
	   $consulta = "SELECT CDGPLA,SALACT,CEDTIP,CEDCLI , fecemiexo  FROM web_0301 WHERE cdgcli='$cdgcli'";
       $resultado = $mysqli->query($consulta);
       $row = $resultado->fetch_array();
       $cedcli = $row["CEDCLI"];
	   $cedtip = $row["CEDTIP"];
       $fecemiexo = $row["fecemiexo"];

    }

	
	/////////////////////////////////////////////////// crea fecha de exoneracion  si no existe ///////////////////////////////////////////////
	
	if ($fecemiexo == ""){
	
	$fecemiexo = $fechac;
	 
	 }
	 
 ////////////////////////////////////////////////////   insert de la factura de Credito /////////////////////////////////

		$mergra=0;
		$merexe=0;
		$serexe=0;
		$sergra=0;
		$subexe=0;
		$totmergra=0;    
		$totmerexo=0;   // SE AGREGA EN LA VERSION 4.3
		$totmerexe=0;
		$totsergra=0;
		$totserexo=0;   // SE AGREGA EN LA VERSION 4.3
		$totserexe=0;
		$subgra=0;
		$baseimponible=0; 
		$baseimpuestos=0;		    
		$basedescuento=0;

		if ($cdgtipven==2){


$query_operacion="INSERT INTO proformas (codfactura, numfactura, fecha, iva, cdgcli, dsccli, estado, borrado, cdgtipven, cdgven, pladia, fechavencimiento, cdgcaj, tipcamdol, horfac , obsfac,tot_sin_impser, impser, totalfactura, cedcli, cedtip,  medpago, tipmoneda, conventa ) VALUES ('', '$numcomp', '$fecha', '$cob_iv', '$cdgcli', '$dsccli', '1', '0', '$cdgtipven','$cdgven','$pladia','$fecven','$cdgven','$tipcamdol','$hora' ,'$obsped' ,'$total_sin_impser' ,'$impser' ,'$total',  '$cedcli' , '$cedtip' , '$medpago', '$tipmoneda' , '$conventa'  )";				
//echo $query_operacion;
			
	$mysqli->query($query_operacion);
	$codfactura= $mysqli-> insert_id ;


	//	$sel_articulos_contado="UPDATE web_0000 SET NUMPRO='$numfactura' "; //// se suma el consecutivo a contado NUMPRO
		//$mysqli->query($sel_articulos_contado);

	//////////////////////////////////////////////  LLEVA EL CONTEO DE LOS COMPROBANTES SEGUN EMISOR  
		
		
	 if ( $clitributa == "1"  )  {	 // si el tipo de comprobante es tiquete                // se modifica en la version 4.3
    
		$sel_articulos_contado="UPDATE web_0000 SET NUMPRO='$numfactura' "; //// se suma el consecutivo a contado NUMPRO
		$mysqli->query($sel_articulos_contado);

 	} else {	
	
		$sel_articulos_contado="UPDATE web_0000 SET NUMPRO='$numfactura' "; //// se suma el consecutivo a contado NUMPRO
		$mysqli->query($sel_articulos_contado);
	
    }                                                                                        // se modifica en la version 4.3
    
		
	



//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	
	$query_tmp="SELECT * FROM pagos_parciales_lineas WHERE codfactura='$codfacturatmp' AND chkcom  = 1 ORDER BY numlinea ASC";

	   if ($resultado_tmp = $mysqli->query($query_tmp)) 
		
		$contador=0;
		$baseimponible=0;
		$impuesto=0;
		$subexe=0;
		$baseimpuestos=0;
		$basedescuento=0;
		$subgra=0;
    while ($row_tmp = $resultado_tmp->fetch_assoc()) {
		 
		 $numlinea=$row_tmp["numlinea"];
		$codigo=$row_tmp["codigo"];
		$dscart=$row_tmp["dscart"];
		$cantidad=$row_tmp["cantidad"];
		$preivi=$row_tmp["preivi"];
		$importe=$row_tmp["importe"];
		$impuesto=$row_tmp["impuesto"];
		$dcto=$row_tmp["dcto"];
		$mondes=$row_tmp["mondes"];
		$cosart=$row_tmp["cosart"];
		$dcto= $row_tmp["dcto"];
        $subtotal=$importe-$mondes;
		$montotlin=$importe-$mondes+$impuesto;	
		
	
		if ($impuesto==0){
		
		$subexe=$subexe+$importe;
	    $preivi2=$preivi;
		 } else {
		 
		 $subgra=$subgra+$importe;
	    $preivi2=$preivi;
		 }
		 
	
		$baseimponible=$baseimponible+$importe;
	  	     
		$baseimpuestos=$baseimpuestos+$impuesto;
		    
		$basedescuento=$basedescuento+$mondes;
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
			$preciototal=round($preciototal);
		 

//************************************************ Seleción de lo costos *********************************

		$query_costos = "SELECT cosart,COB_IV,CDGFAM,CDGLIN,DESFAC,CDGTIPART,ivporc ,UNIMED, CDGTIPPRO , cdgtar  , cdghac  FROM web_1001 WHERE cdgbar='$codigo'";
		$resultado = $mysqli->query($query_costos);
		$row = $resultado->fetch_array();
	     $cosart = $row["cosart"];
		 $desart = $row["DESFAC"];
		 $cob_iv = $row["COB_IV"];
		 $cdgfam = $row["CDGFAM"];
		 $cdglin = $row["CDGLIN"];
		 $cdgtipart= $row["CDGTIPART"];
		 $unimed= $row["UNIMED"];
		 $ivporc= $row["ivporc"];
		 $cdgtippro= $row["CDGTIPPRO"];
		 $cdgtar= $row["cdgtar"];                   // se agrega en la version  4.3 
 		 $cdgcabys = $row["cdghac"];
	
		if ( $mondes > 0){    // estable la naturaleza del descuento  por linea si lo tiene
		$natdes=$_POST["natdes"];
		} else { 
		$natdes=  "";
		} 
		
		
		
		if (  $cob_iv == 1 ){    // estable la tarifa del impuesto por linea si lo tiene  //
 		$tarimp = $ivporc;
		$cdgimp = "01";
		} else { 
		$tarimp = "";            // se realizan cambios en la version 4.3
		$cdgimp = "";    
		
		} 
		
		
		 
		if ( $cob_iv == 1){     //  si el produto es gravado
		if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo 
	
		$mergra=$importe;  
	     $totmergra= $totmergra+$mergra; 
		
		} else {     // si es un servicio
		
		$sergra=$importe; 
	    $totsergra= $totsergra+$sergra; 
	
		
		}    // cierra tipo de produto 
	
		} else {    // si el producto es exento
		
		if  ($cdgtippro == 1 ) {   // si el producto es tipo servicio 
		
     	$merexe=$importe;  
        $totmerexe= $totmerexe+$merexe; 
		
		} else {     // si es un servicio
		
		$serexe=$importe; 
	    $totserexe= $totserexe+$serexe; 
		
		}    // cierra tipo de produto tipo articulo
		} 
	  
	 

		$des_articulo= ( $cosart * $desart)/100;
		$cosart= $cosart - $des_articulo;
		
		////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
    if ($cliexento==2  && $cob_iv==1  ){  // si la compra es tipo exonerada ////////
   

    //$monimpexo=$importe;       // monto  exonerado
	$monimpexo=($importe-$mondes)*$ivporc/100;       // impuesto exonerado
	$porcomexo= 100;   // porcentaje exonerado 
	
	$cdgtipexo=$_POST["cdgtipexo"];
    $numdocexo=$_POST["numdocexo"];
    $nominstexo=$_POST["nominstexo"];
	  
	$cdgimp   = "01"; 
//	$tarimp   =  "";               //  se comenta en la version 4.3
//	$impuesto =  "";               //  se comenta en la version 4.3
		
		
	if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo   //  se agrega en la version 4.3
	
		$merexo=$importe;  
	    $totmerexo= $totmerexo+$merexo; 
		$totmergra= $totmergra-$merexo; 
		} else {     // si es un servicio
		
		$serexo=$importe; 
	    $totserexo= $totserexo+$serexo; 
	    $totsergra= $totsergra-$serexo; 
		}    // cierra tipo de produto 	                           //  se agrega en la version 4.3	  

	  }else {
 
     	    $monimpexo="";
	        $porcomexo= "";
			$cdgtipexo="";
			$numdocexo="";
			$nominstexo="";
	  
	  }

                                                                     //   agregar cdgtar en el insert version 4.3

	

	
		$sel_insertar="INSERT INTO proforlineas (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin,cdgtipart,unimed , cdgimp, tarimp, subtotal, montotlin  ) VALUES 
		('$codfactura','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi2','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin','$cdgtipart','$unimed' ,'$cdgimp' ,'$tarimp' ,'$subtotal'  ,'$montotlin' )";
	$mysqli->query($sel_insertar);	

	}
	 
	  $totexonerado = $totserexo + $totmerexo; 
	  $totexento    = $totserexe + $totmerexe; 
	  $totgravado   = $totsergra + $totmergra;
	  $totventa     = $totgravado + $totexento + $totexonerado ;    
	  $totdescu     = $basedescuento ;
	  $totvennet    = $totventa  -  $totdescu;
	  $totcompro    = $totvennet + $baseimpuestos + $impser;   // SE SUMA EL IMPUESTO DEL SERVICIO A TOTALCOMPROBANTE
	  
	  if ( $totgravado > 0 ){    // si el articulo es tipo gravado 
	  $cdgimp="01" ; //   tipo impuesto de ventas
	  $tarimp=$tarimpvta;
	  $monimp=$baseimpuestos;
	  
	  }else {
	  
	  $cdgimp="01";  //   tipo impuesto de ventas   // cambio de valores en la version 4.3 
	  $tarimp="0";
	  $monimp="0";
	  
	  }  
	 
	// $consulta2 = "DELETE FROM factulineatmp  WHERE codfactura ='$codfacturatmp'";
//$rs_consulta2 = mysql_query($consulta2);
	

	//************************************************ Insert 2101 CxC y 0301 saldo actual*******************************
			

		$query_operacion1="INSERT INTO web_2101 (numfac, fecfac, cdgcli, dsccli, pladia, monsub, mondes, impvta, totnet, cdgven, salact , fecven ) VALUES ('$numcomp', '$fecha', '$cdgcli', '$dsccli','$pladia','$baseimponible','$basedescuento','$baseimpuestos','$totcompro','$cdgven','$totcompro',  '$fecven' )";
		$mysqli->query($query_operacion1);
	
	
		$sel_Saldos="SELECT  Sum(salact) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";

	$rs_facturas = $mysqli->query($sel_Saldos);
	$fila5 = $rs_facturas->fetch_array();
		 $salact = $fila5["totalfac"];
		 

	$sel_actual_saldo="UPDATE web_0301 SET salact='$salact' WHERE cdgcli = $cdgcli";
	$mysqli->query($sel_actual_saldo);

	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
	$preciototal=round($totcompro);


	$sel_act="UPDATE proformas SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento', totventa='$totventa' , totdescu='$totdescu' , totvennet='$totvennet'  , cdgimp='$cdgimp', tarimp='$tarimp', monimp='$monimp' ,  totcompro='$totcompro'  WHERE codfactura='$codfactura'";
	$mysqli->query($sel_act);
	
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	
	
	

////////////////////////////////////////////////   rebajo de unidades al inventatio ///////////////////////


	$sel_lineas = "SELECT codigo,cantidad FROM proforlineas WHERE codfactura='$codfactura'";
    if ($result = $mysqli->query($sel_lineas)) 
	
    while ($fila = $result->fetch_assoc()) {
		
        $codigo = $fila["codigo"];
		$cantidad = $fila["cantidad"];                                             // se modifico en la version 4.3  

		$query_unidades = "SELECT EXIACT FROM web_1001 WHERE cdgbar='$codigo'";
		$resultado2 = $mysqli->query($query_unidades);
		$row = $resultado2->fetch_array();
	    $existencia= $row["EXIACT"];
		
		$exiact = $existencia -  $cantidad;                                               // se modifico en la version 4.3  

  
		$sel_articulos="UPDATE web_1001 SET   exiact= '$exiact' WHERE cdgbar='$codigo' and tipart != 2 ";
		$mysqli->query($sel_articulos);
	
	
		$sel_articulos2="UPDATE factulinea SET exiant = '$existencia'  WHERE codigo='$codigo' and  codfactura='$codfactura'  ";
		$mysqli->query($sel_articulos2);

                                                                                         // se modifico en la version 4.3  

	}
/////////////////////////////////////////insert de la factura de contado ///////////////////////////////////////////////
		}else {
	
		$mergra=0;
		$merexe=0;
		$serexe=0;
		$sergra=0;
		$subexe=0;
		$totmergra=0;    
		$totmerexo=0;   // SE AGREGA EN LA VERSION 4.3
		$totmerexe=0;
		$totsergra=0;
		$totserexo=0;   // SE AGREGA EN LA VERSION 4.3
		$totserexe=0;
		$subgra=0;
		$baseimponible=0; 
		$baseimpuestos=0;		    
		$basedescuento=0;
	


		$query_operacion="INSERT INTO proformas  (codfactura, numfactura, fecha, iva, cdgcli, dsccli, estado, borrado, cdgtipven, cdgven, pladia, fechavencimiento,cdgcaj,pagacon,efectivo,cheques,depositos,dolares,tarjetas,tipcamdol, horfac, obsfac , cedcli, cedtip,  medpago, tipmoneda , conventa , tot_sin_impser, impser,otrcar, totalfactura ) VALUES ('', '$numcomp', '$fecha', '$cob_iv', '$cdgcli', '$dsccli', '1', '0', '$cdgtipven','$cdgven','$pladia','0000-00-00','$cdgcaj','$pagacon2','$efectivo','$cheques','$depositos',    '$dolares','$tarjetas','$tipcamdol','$hora' ,'$obsped' , '$cedcli' , '$cedtip' , '$medpago' , '$tipmoneda'  , '$conventa' ,  '$total_sin_impser' ,'$impser','$impser' ,'$total'	)";	
		
	$mysqli->query($query_operacion);
	$codfactura= $mysqli-> insert_id ;

	//////////////////////////////////////////////  LLEVA EL CONTEO DE LOS COMPROBANTES SEGUN EMISOR  	
		
if ( $clitributa == "1"  )  {	 // si el tipo de comprobante es tiquete                // se modifica en la version 4.3
    
		$sel_articulos_contado="UPDATE web_0000 SET NUMPRO='$numfactura' "; //// se suma el consecutivo a contado NUMPRO
		$mysqli->query($sel_articulos_contado);

 	} else {	
	
		$sel_articulos_contado="UPDATE web_0000 SET NUMPRO='$numfactura' "; //// se suma el consecutivo a contado NUMPRO
		$mysqli->query($sel_articulos_contado);
	
    }   


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

		
$query_tmp="SELECT * FROM pagos_parciales_lineas WHERE codfactura='$codfacturatmp' AND chkcom  = 1 ORDER BY numlinea ASC";

	   if ($resultado_tmp = $mysqli->query($query_tmp)) 
		$contador=0;
		$baseimponible=0;
		$impuesto=0;
		$subexe=0;
		$baseimpuestos=0;
		$basedescuento=0;
		$subgra=0;
    while ($fila2 = $resultado_tmp->fetch_assoc()) {
		 

		
		
		$numlinea = $fila2["numlinea"];
        $codigo = $fila2["codigo"];
        $dscart = $fila2["dscart"];
		$cantidad = $fila2["cantidad"];
		$preivi = $fila2["preivi"];
		$importe = $fila2["importe"];
		$impuesto = $fila2["impuesto"];
		$mondes = $fila2["mondes"];
		$dcto= $fila2["dcto"];
		$cosart=$fila2["cosart"];
		$subtotal=$importe-$mondes;
		$montotlin=$importe-$mondes+$impuesto;	

	


		 		if ($impuesto==0){

		
		$subexe=$subexe+$importe;
	    $preivi2=$preivi;
		//$cdgimp="";    ** COMENTAR
		
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$preivi;
		// $cdgimp="01"; ** COMENTAR
		 }
	
	
		$baseimponible=$baseimponible+$importe;    
		$baseimpuestos=$baseimpuestos+$impuesto;    
		$basedescuento=$basedescuento+$mondes;

		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
		$preciototal=round($preciototal);
		 

	 
 
		$query_costos = "SELECT cosart,COB_IV,CDGFAM,CDGLIN,DESFAC,CDGTIPART, UNIMED, ivporc, CDGTIPPRO, cdgtar , cdghac FROM web_1001 WHERE cdgbar='$codigo'";
		$resultado = $mysqli->query($query_costos);
		$row = $resultado->fetch_array();
	     $cosart = $row["cosart"];
		 $desart = $row["DESFAC"];
		 $cob_iv = $row["COB_IV"];
		 $cdgfam = $row["CDGFAM"];
		 $cdglin = $row["CDGLIN"];
		 $cdgtipart= $row["CDGTIPART"];
		 $unimed= $row["UNIMED"];
		 $ivporc= $row["ivporc"];
		 $cdgtippro= $row["CDGTIPPRO"];
		 $cdgtar= $row["cdgtar"];
		  $cdgcabys = $row["cdghac"];
					
		if ( $mondes > 0){    // estable la naturaleza del descuento  por linea si lo tiene
	    $natdes=$_POST["natdes"];
		} else { 
		$natdes=  "";
		} 
		

			
		if (  $cob_iv == 1 ){    // estable la tarifa del impuesto por linea si lo tiene  //
 		$tarimp = $ivporc;
		$cdgimp = "01";
		} else { 
		$tarimp = "";            // se realizan cambios en la version 4.3
		$cdgimp = "";    
		
		} 
		
		

	
	 
	if ( $cob_iv == 1){     //  si el produto es gravado
		if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo 
	
		$mergra=$importe;  
	     $totmergra= $totmergra+$mergra; 
		
		} else {     // si es un servicio
		
		$sergra=$importe; 
	    $totsergra= $totsergra+$sergra; 
	
		
		}    // cierra tipo de produto 
	
		} else {    // si el producto es exento
		
		if  ($cdgtippro == 1 ) {   // si el producto es tipo servicio 
		
     	$merexe=$importe;  
        $totmerexe= $totmerexe+$merexe; 
		
		} else {     // si es un servicio
		
		$serexe=$importe; 
	    $totserexe= $totserexe+$serexe; 
		
		}    // cierra tipo de produto tipo articulo
		} 
	  
	   
 		$des_articulo= ( $cosart * $desart)/100;
		$cosart= $cosart - $des_articulo;
		
			
		    if ($cliexento==2  && $cob_iv==1  ){  // si la compra es tipo exonerada ////////
   

    //$monimpexo=$importe;       // monto  exonerado
	$monimpexo=($importe-$mondes)*$ivporc/100;       // impuesto exonerado
	$porcomexo= 100;   // porcentaje exonerado 
	
	$cdgtipexo=$_POST["cdgtipexo"];
    $numdocexo=$_POST["numdocexo"];
    $nominstexo=$_POST["nominstexo"];
	  
	$cdgimp   = "01"; 
//	$tarimp   =  "";           //  se comenta en la version 4.3
//	$impuesto =  "";           //  se comenta en la version 4.3
	
		if  ($cdgtippro == 1 ) {   // si el producto es tipo articulo   //  se agrega en la version 4.3
	
		//$merexo=$monimpexo;  
		$merexo=$importe; 
	    $totmerexo= $totmerexo+$merexo; 
		$totmergra= $totmergra-$merexo; 
		} else {     // si es un servicio
		
		//$serexo=$monimpexo; 
		$serexo=$importe;
	    $totserexo= $totserexo+$serexo; 
	    $totsergra= $totsergra-$serexo; 
		}    // cierra tipo de produto 	                           //  se agrega en la version 4.3	  
	  
	  }else {
 
     	    $monimpexo="";
	        $porcomexo= "";
			$cdgtipexo="";
			$numdocexo="";
			$nominstexo="";
	  
	  }
	


		$sel_insertar="INSERT INTO proforlineas (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin,cdgtipart,unimed , cdgimp , tarimp, subtotal , montotlin ) VALUES 
		('$codfactura','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi2','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin','$cdgtipart','$unimed' ,'$cdgimp' ,'$tarimp','$subtotal' ,'$montotlin'   )";
		$mysqli->query($sel_insertar);	
		
		  //  $consulta1 = "DELETE FROM factulineatmp  WHERE codfactura =='$codfacturatmp' AND codigo =='$codigo' ";
          // $mysqli->query($consulta1);
		

	}
	
	  $totexonerado = $totserexo + $totmerexo; 
	  $totexento    = $totserexe + $totmerexe; 
	  $totgravado   = $totsergra + $totmergra;
	  $totventa     = $totgravado + $totexento + $totexonerado;    
	  $totdescu     = $basedescuento ;
	  $totvennet    = $totventa  -  $totdescu;
	  $totcompro    = $totvennet + $baseimpuestos + $impser;   // SE SUMA EL IMPUESTO DEL SERVICIO A TOTALCOMPROBANTE
	  
	  
	 	  if ( $totgravado > 0 ){
	  $cdgimp="01" ; //   tipo impuesto de ventas
	  $tarimp=$tarimpvta;
	  $monimp=$baseimpuestos;
	  
	  }else {
	  
	  $cdgimp="01";  //   tipo impuesto de ventas
	  $tarimp="0";
	  $monimp="0";
	  
	  }
	  
	  


	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
	$preciototal=round($totcompro);
	$vuelto2=$pagacon2 - $preciototal;
	
              					  // AGREGA , totserexo='$totserexo'  , totmerexo='$totmerexo' ,totexonerado='$totexonerado' version 4.3
								  
	$sel_act="UPDATE proformas SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' , vuelto='$vuelto2'   totventa='$totventa' , totdescu='$totdescu' , totvennet='$totvennet' , cdgimp='$cdgimp', tarimp='$tarimp', monimp='$monimp',  totcompro='$totcompro' WHERE codfactura='$codfactura'";
	$mysqli->query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";



   ////////////////////////////////////////////////   rebajo de unidades al inventatio ///////////////////////

	
	$sel_lineas = "SELECT codigo,cantidad FROM proforlineas  WHERE codfactura='$codfactura'";
    if ($result = $mysqli->query($sel_lineas)) 
	
    while ($fila = $result->fetch_assoc()) {
		
        $codigo = $fila["codigo"];
		$cantidad = $fila["cantidad"];                                             // se modifico en la version 4.3  

		$query_unidades = "SELECT EXIACT FROM web_1001 WHERE cdgbar='$codigo'";
		$resultado2 = $mysqli->query($query_unidades);
		$row = $resultado2->fetch_array();
	    $existencia= $row["EXIACT"];
		
		$exiact = $existencia -  $cantidad;                                               // se modifico en la version 4.3  

  
		$sel_articulos="UPDATE web_1001 SET   exiact= '$exiact' WHERE cdgbar='$codigo' and tipart != 2 ";
		$mysqli->query($sel_articulos);
	
	
		$sel_articulos2="UPDATE factulinea SET exiant = '$existencia'  WHERE codigo='$codigo' and  codfactura='$codfactura'  ";
		$mysqli->query($sel_articulos2);

                                                                                         // se modifico en la version 4.3  

	}
	
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
}	
///////////////////////////  borra la factura de contado de la base de datos a cobrar //////////////////////////////////////////////////////////
 if ($codfacturacontado <> "" ){

	 $elimina = "DELETE FROM facturas_contado  WHERE codfactura ='$codfactura_contado'";
     $mysqli->query( $elimina);


	 $elimina2 = "DELETE FROM factulinea_contado  WHERE codfactura ='$codfactura_contado'";
     $mysqli->query( $elimina2);
 }

	
	
	// HASTA AQUÍ LA FE
	  
////////////////////////////////////////////////////////   rebaja cantidades de pedidos lineas y pagos parciales lineas  


	$query_tmp="SELECT * FROM pagos_parciales_lineas WHERE codfactura='$codpedidotmp' AND chkcom  = 1 ORDER BY numlinea ASC";
	 if ($rs_tmp = $mysqli->query($query_tmp))
	$contador=0;
	$baseimponible=0;
	while ($fila9 = $rs_tmp->fetch_assoc()) {
				
                $numlinea = $fila9["numlinea"];
				$codigo = $fila9["codigo"];	
				$cantidad_pagada = $fila9["cantidad"];


		 $query_codigo="SELECT * FROM pedidos_lineas WHERE codigo='$codigo' AND codfactura='$codpedidotmp' AND numlinea='$numlinea' ";

			$rs_query_codigo = $mysqli->query($query_codigo);
			$fila10 = $rs_query_codigo->fetch_array();
			$cantidad_pedida = $fila10["cantidad"];
		 
		 
      if ($cantidad_pagada < $cantidad_pedida){

			$sel_pagado="UPDATE pedidos_lineas SET cantidad=(cantidad-'$cantidad_pagada') WHERE codigo='$codigo' AND codfactura='$codpedidotmp' AND numlinea='$numlinea'";
		     $mysqli->query($sel_pagado);
			 

			 
		}else{ 	 
		
		    $pagado = "DELETE FROM pedidos_lineas  WHERE  codigo='$codigo' AND codfactura='$codpedidotmp' AND numlinea='$numlinea' ";
           $mysqli->query($pagado);
		   
		       $pagado1 = "DELETE FROM pagos_parciales_lineas WHERE  codigo='$codigo' AND codfactura='$codpedidotmp' AND numlinea='$numlinea' ";
           $mysqli->query($pagado1);
		   

		}
		
		//$contador++;
	}

    /////////////////////////////////////////////////////////////   recalcula la tabla pago parcial con las lineas restantes  //////////////////////////////////////////////////
	
	
	$consulta2 = "DELETE FROM pagos_parciales_lineas WHERE codfactura ='$codpedidotmp'";
	$mysqli->query($consulta2);

	
	$sel_lineas="SELECT pedidos_lineas.*,web_1001.* FROM pedidos_lineas,web_1001 WHERE pedidos_lineas.codfactura='$codpedidotmp' AND pedidos_lineas.codigo=web_1001.cdgbar  ORDER BY pedidos_lineas.numlinea ASC";
if ($rs_lineas = $mysqli->query($sel_lineas)) 	
$chkcom=0;
 while ($fila11 = $rs_lineas->fetch_assoc()) {
	 
	$numlinea=$fila11["numlinea"];
	$codigo=$fila11["codigo"];
	$dscart=$fila11["dscart"];
	$cantidad=$fila11["cantidad"];
	$preivi=$fila11["preivi"];
	$importe=$fila11["importe"];
    $impuesto=$fila11["impuesto"];
	$mondes=$fila11["mondes"];
	$desmin=$fila11["desmin"];
	$desmax=$fila11["desmax"];
	$tipart=$fila11["tipart"];
	$cob_iv=$fila11["COB_IV"];
	$cosart=$fila11["cosart"];
	$cdgfam=$fila11["cdgfam"];
	$cdglin=$fila11["cdglin"];
	$dcto=$fila11["dcto"];
	//$chkcom=$fila11["chkcom"];
	
	



				
	if ($cob_iv == 1) { $paga_impuesto="S"; } else { $paga_impuesto="N"; }
	$descuento=$fila11["dcto"];
	
	$importe=$cantidad*$preivi;

	$mondes=$importe*$descuento/100;
		

	$subtotal=$cantidad*$preivi;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
	} else {
		$importe=$importe-$mondes;	
		$impuesto=0;	
	}
	
	
	if ($chkcom==1)  {
	$preivi2=$importe+$impuesto;
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
	
	}

	
	
		$sel_insertar="INSERT INTO pagos_parciales_lineas (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin, chkcom) VALUES 
		('$codpedidotmp','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cod','$cob_iv','$fecha','$cdgfam','$cdglin',1)";
		$mysqli->query($sel_insertar);
			


		//$contador++;
	}
	

  /////////////////////////////////////////////////////////////   recalcula el pedido con las lineas restantes  //////////////////////////////////////////////////
	
	
	$consulta2 = "DELETE FROM pedidos_lineas WHERE codfactura ='$codpedidotmp'";
	$mysqli->query($consulta2);

	
	$sel_lineas="SELECT pagos_parciales_lineas.*,web_1001.* FROM pagos_parciales_lineas,web_1001 WHERE pagos_parciales_lineas.codfactura='$codpedidotmp' AND pagos_parciales_lineas.codigo=web_1001.cdgbar  ORDER BY pagos_parciales_lineas.numlinea ASC";

	if ($rs_lineas = $mysqli->query($sel_lineas)) 	
	$baseimp=0;
	$baseiva=0;
	 while ($fila12 = $rs_lineas->fetch_assoc()) {
	 
	$numlinea=$fila12["numlinea"];
	$codigo=$fila12["codigo"];
	$dscart=$fila12["dscart"];
	$cantidad=$fila12["cantidad"];
	$preivi=$fila12["preivi"];
	$importe=$fila12["importe"];
    $impuesto=$fila12["impuesto"];
	$mondes=$fila12["mondes"];
	$desmin=$fila12["desmin"];
	$desmax=$fila12["desmax"];
	$tipart=$fila12["tipart"];
	$cob_iv=$fila12["COB_IV"];
	$cosart=$fila12["cosart"];
	$cdgfam=$fila12["cdgfam"];
	$cdglin=$fila12["cdglin"];
	//$dcto=$fila12["dcto"];
	$chkcom=$fila12["chkcom"];

				
	if ($cob_iv == 1) { $paga_impuesto="S"; } else { $paga_impuesto="N"; }
	$descuento=$fila12["dcto"];
	
	$importe=$cantidad*$preivi;

	$mondes=$importe*$descuento/100;
		

	$subtotal=$cantidad*$preivi;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*1.13;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
	} else {
		$importe=$importe-$mondes;	
		$impuesto=0;	
	}
	
	
	if ($chkcom==1)  {
	$preivi2=$importe+$impuesto;
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;
	
	}

	
	
		$sel_insertar="INSERT INTO pedidos_lineas (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin) VALUES 
		('$codpedidotmp','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cod','$cob_iv','$fecha','$cdgfam','$cdglin')";
		$mysqli->query($sel_insertar);		


		//$contador++;
		
		
		$sel_act="UPDATE pedidos SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' WHERE codfactura='$codpedidotmp'";
	$mysqli->query($sel_act);	
	
	}
	

  ////////////////////////////////////////////////////////////   libero la mesa si ya no tiene mas lineas a cobrar  //////////////////////////////////////
  
	
		$liberar_mesa="SELECT count(*) as filas FROM pedidos_lineas WHERE codfactura='$codpedidotmp' ";
		$rs_mesa = $mysqli->query($liberar_mesa);
		$row = $rs_mesa->fetch_array();
	     $filas = $row["filas"];
if ($filas <= 0){	

		
		$sel_mesa="UPDATE mesas SET $codpedidotmp=0 "; //// se libera la mesa 
		$mysqli->query($sel_mesa);

		   
		   		    $pagado2 = "DELETE FROM pedidos_lineastmp  WHERE  codfactura='$codpedidotmp'";
                     $mysqli->query($pagado2);
		   
		      		 $pagado3 = "DELETE FROM pedidos WHERE  codfactura='$codpedidotmp'";
          			 $mysqli->query($pagado3);

				     $pagado4 = "DELETE FROM pedidos_lineas  WHERE  codfactura='$codpedidotmp'  ";
          			 $mysqli->query($pagado4);
		   
		      		 $pagado5 = "DELETE FROM pagos_parciales_lineas WHERE  codfactura='$codpedidotmp' ";
          			 $mysqli->query($pagado5);

}
   
 if ($cdgtipven==1){
	 if ($dolares > 0)  {

//$pagacon2     =  $pagacon2 / $tipcamdol;
//$preciototal  =  $preciototal  / $tipcamdol;
//$vuelto2      =  $vuelto2 / $tipcamdol;
//$total2       =  $total2 / $tipcamdol;
//
//$pagacon2 = "$  ".number_format($pagacon2,2,".",",");
//$preciototal = "$  ".number_format($preciototal,2,".",",");
//$vuelto2 = "$  ".number_format($vuelto2,2,".",",");
//$total2 = "$  ".number_format($total2,2,".",",");

   

 } else {
	

	//$pagacon2 = number_format($pagacon2,2,".",",");
   // $preciototal = number_format($preciototal,2,".",",");
   // $vuelto2 = number_format($vuelto2,2,".",",");
	//$total2 = number_format($total2,2,".",",");
	
 }	

//////////////////////////////////////////////////////////////actualiza el comprobantes segun la situacion  //////////////////////////////


  
 // $conexion = @fsockopen("api.comprobanteselectronicos.go.cr", 80, $errno, $errstr, 30); 
//if (!$conexion) { 
//$estadohacienda="SIN CONEXION" ;
//$enlinea=0 ;
//   $situacion_comprobante = 3; 
//} else { 
$estadohacienda="EN LINEA";

$enlinea=1 ;
   $situacion_comprobante = 1;     //   

//		}
		
		
	
$cdgclave =  $cdgpais.$feccla.$cedemp. $numcomp.$situacion_comprobante.$cdgseghac;

$sel_clave="UPDATE facturas SET cdgclave='$cdgclave'   WHERE codfactura='$codfactura' ";
	$mysqli->query($sel_clave);


//	$consulta2 = "DELETE FROM factulineatmp  WHERE codfactura ='$codfacturatmp'";
	//$mysqli->query($consulta2);	
	
	
?>

	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
	
		function aceptar() {
			
	parent.document.forms.formulario_lineas.action="frame_lineas_comanda.php";
	parent.document.formulario_lineas.submit();
	}
	

	function enviar_correo() 
	{
	window.open("../Enviar_Correo/enviar_correo.php?codfactura="+codfactura);
	
	}
			
			
		
function imprimir(codfactura,clitributa) {

if (clitributa != 0 ){

//	miPopup = window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura, "frame_datos1","width=100,height=10,scrollbars=yes");
	
}

//window.open("../fpdf/imprime_cupon.php?codfactura="+codfactura);

	}
		
				
					
				
	function abrir_cajon(codfactura,clitributa) {
	
	if (clitributa != 0){
//		miPopup = window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura, "frame_datos1","width=100,height=10,scrollbars=yes");	
	}
					
//	window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
	
	}
	

		function imprimir(codfactura) {
		
		
		
	  var resultado="ninguno";
 
        var porNombre=document.getElementsByName("chkimpdet");
        // Recorremos todos los valores del radio button para encontrar el
        // seleccionado
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
                resultado=porNombre[i].value;
        }
		
		
		
				var codfactura=document.getElementById("codfactura").value;
				
		//window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
	//	window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura+"&chkimpdet="+resultado);
		//window.open("../fpdf/imprimir_factura_TERMICA.php?codfactura="+codfactura);
		
		//location.href="nueva_proforma_super.php";
		}
		
		
				function abrir_cajon() {
		
		
		//window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
		window.open("../fpdf/abrir_cajon.php");
		//window.open("../fpdf/imprimir_factura_TERMICA.php?codfactura="+codfactura);
		
		//location.href="nueva_proforma_super.php";
		}
		
		
		  window.onkeydown = tecla;

  function tecla(event) {
  if(  event.keyCode ==13	) {    num = event.keyCode;

if(num==13)aceptar(); // f3  busqueda de clientes 

  }
	  }	
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		
		function inicio(){
	   		
	imprimir();		
    document.getElementById("total").focus();
}		
	
	
function pon_prefijo(filas) {
	
	
	parent.document.formulario_lineas.subtotal.value="";
	parent.document.formulario_lineas.descuento2.value="";
	parent.document.formulario_lineas.imp.value="";
	parent.document.formulario_lineas.total.value="";
	parent.document.formulario_lineas.impser.value="";
	parent.document.formulario_lineas.total_con_impser.value="";
	parent.document.formulario_lineas.filas.value=filas;


}


		</script>
<?php  
		
	
echo "<script>";
echo "imprimir();";
echo "</script>";	


/*if ($impdir == "S")  {

echo "<script>";
echo "abrir_cajon($codfactura,$clitributa);";
echo "</script>";	


  }	 else {
  
	
echo "<script>";
echo "imprimir($codfactura,$clitributa);";
echo "</script>";	
  
    }*/

?>
</head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<style type="text/css">
<!--
.Estilo1 {color: #000000}
.Estilo3 {font-size: 18px}
-->
    </style>
	<body onLoad="nobackbutton(); inicio()">
			<div id="zonaContenido">
         	<div class="contenidoPago">
			   <div align="center">
			     <table width="85%"  border="0">
			      <tr>
			        <td colspan="6">&nbsp;</td>
		          </tr>
			      <tr>
			        <td width="49">&nbsp;</td>
			        <td colspan="4"><div align="center" class="Estilo3">TOTAL</div></td>
			        <td width="53">&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
					<input id="codfactura"    name="codfactura"  value="<?php  echo $codfactura ?>"    type="hidden" />

		            <td colspan="4"><input id="total2"  readonly="readonly"  class="fuente_vuelto" name="total2"  value="<?php  echo number_format($total,2,".",",") ?>"   style='text-align:right;'  type="text" /></td>
		            <td>&nbsp;</td>
			      </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td width="48">&nbsp;</td>
			        <td width="65">&nbsp;</td>
			        <td width="72" class="fuente8">&nbsp;</td>
			        <td width="461">&nbsp;</td>
			        <td>&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td colspan="4"><div align="center" class="Estilo3">PAGA CON </div></td>
			        <td>&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td colspan="4"><input id="pagacon"  readonly="readonly"  class="fuente_vuelto" name="pagacon"  value="<?php  echo number_format($pagacon2,2,".",",")?>"  style='text-align:right;'   type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td colspan="4"><div align="center" class="Estilo3">VUELTO</div></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td colspan="4"><input id="vuelto"  readonly="readonly"  class="fuente_vuelto" name="vuelto"   value="<?php  echo number_format($vuelto2,2,".",",")?>"    style='text-align:right;'    type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			   <td colspan="6" class="existencia_positiva">SERVICIO DE RESTAURANTE
				 <?php     if ($chkimpdet==1) {  ?>
                        <input  type="checkbox" id="chkimpdet" name="chkimpdet"  value="1"  checked="checked" >
						  <?php     } else  {  ?>
						    <input  type="checkbox" id="chkimpdet" name="chkimpdet"  value="1"   >
					     <?php     }  ?>	                  </td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td colspan="4" align="center"><img align="middle"  src="../img/Symbol-Check_128x128-32.png" alt="Salir" width="96" height="96"  onClick="aceptar()"></td>
			        <td><img align="middle"  src="../img/Printer_Icon_64.png" alt="Salir" width="64" height="64"  onClick="imprimir()"></td>
		          </tr>
		         </table>
                 </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
				  <p>&nbsp;</p>
				  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>
<?php  
 } else {
 ?>  
 	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	function aceptar() {
			
	parent.document.forms.formulario_lineas.action="frame_lineas_comanda.php";
	parent.document.formulario_lineas.submit();
	}
	

	function enviar_correo() 
	{
	window.open("../Enviar_Correo/enviar_correo.php?codfactura="+codfactura);
	
	}
			
			
		
function imprimir(codfactura,clitributa) {

if (clitributa != 0 ){

//	miPopup = window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura, "frame_datos1","width=100,height=10,scrollbars=yes");
	
}

//window.open("../fpdf/imprime_cupon.php?codfactura="+codfactura);

	}
		
				
					
				
	function abrir_cajon(codfactura,clitributa) {
	
	if (clitributa != 0){
//		miPopup = window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura, "frame_datos1","width=100,height=10,scrollbars=yes");	
	}
					
//	window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
	
	}
	

		function imprimir(codfactura) {
		
		
		
	  var resultado="ninguno";
 
        var porNombre=document.getElementsByName("chkimpdet");
        // Recorremos todos los valores del radio button para encontrar el
        // seleccionado
        for(var i=0;i<porNombre.length;i++)
        {
            if(porNombre[i].checked)
                resultado=porNombre[i].value;
        }
		
		
		
				var codfactura=document.getElementById("codfactura").value;
				
		//window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
//		window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura+"&chkimpdet="+resultado);
		//window.open("../fpdf/imprimir_factura_TERMICA.php?codfactura="+codfactura);
		
		//location.href="nueva_proforma_super.php";
		}
		
		
				function abrir_cajon() {
		
		
		//window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
		window.open("../fpdf/abrir_cajon.php");
		//window.open("../fpdf/imprimir_factura_TERMICA.php?codfactura="+codfactura);
		
		//location.href="nueva_proforma_super.php";
		}
		
	 window.onkeydown = tecla;

  function tecla(event) {
  if(  event.keyCode ==13	) {    num = event.keyCode;

if(num==13)aceptar(); // f3  busqueda de clientes 

  }
	  }	
	  
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

		function inicio(){
	   		
   imprimir();
    document.getElementById("total").focus();
	
}	



	
function pon_prefijo(filas) {
	
	
	parent.document.formulario_lineas.subtotal.value="";
	parent.document.formulario_lineas.descuento2.value="";
	parent.document.formulario_lineas.imp.value="";
	parent.document.formulario_lineas.total.value="";
	parent.document.formulario_lineas.impser.value="";
	parent.document.formulario_lineas.total_con_impser.value="";
	parent.document.formulario_lineas.filas.value=filas;
	




}


		
		</script>
<?php  
		
	
echo "<script>";
echo "imprimir();";
echo "</script>";	

/*echo "<script>";
echo "imprimir($codfactura,$clitributa,$tipo_comprobante);";
echo "</script>";*/

?>
</head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body onLoad="nobackbutton(); inicio()">
			<div id="zonaContenido">
         	<div class="contenidoPago">
			   <div align="center">
			     <table width="85%"  border="0">
			      <tr>
			        <td colspan="6">&nbsp;</td>
		          </tr>
			      <tr>
			        <td width="49">&nbsp;</td>
			        <td colspan="4"><div align="center" class="Estilo3">TOTAL</div></td>
			        <td width="53">&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
					<input id="codfactura"    name="codfactura"  value="<?php  echo $codfactura ?>"    type="hidden" />
		            <td colspan="4"><input id="total2"  readonly="readonly"  class="fuente_vuelto" name="total2"  value="<?php  echo number_format($total,2,".",",")  ?>"   style='text-align:right;'  type="text" /></td>
		            <td>&nbsp;</td>
			      </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td width="48">&nbsp;</td>
			        <td width="65">&nbsp;</td>
			        <td width="72" class="fuente8">&nbsp;</td>
			        <td width="461">&nbsp;</td>
			        <td>&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td colspan="4"><div align="center" class="Estilo3">SALDO ANTERIOR </div></td>
			        <td>&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td colspan="4"><input id="pagacon"  readonly="readonly"  class="fuente_vuelto" name="pagacon"  value="<?php  echo number_format($saldo_actual,2,".",",")?>"  style='text-align:right;'   type="text" /></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td colspan="4"><div align="center" class="Estilo3">SALDO ACTUAL</div></td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td colspan="4"><input id="vuelto"  readonly="readonly"  class="fuente_vuelto" name="vuelto"   value="<?php  echo number_format($salact,2,".",",")?>"    style='text-align:right;'    type="text" /></td>
			      <td>&nbsp;</td>
		          </tr>
			      <tr>
			      
			        <td colspan="6" class="existencia_positiva">SERVICIO DE RESTAURANTE
				 <?php     if ($chkimpdet==1) {  ?>
                        <input  type="checkbox" id="chkimpdet" name="chkimpdet"  value="1"  checked="checked" >
						  <?php     } else  {  ?>
						    <input  type="checkbox" id="chkimpdet" name="chkimpdet"  value="1"   >
					     <?php     }  ?>	                  </td>
		           </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td colspan="4" align="center"><img align="middle"  src="../img/Symbol-Check_128x128-32.png" alt="Salir" width="96" height="96"  onClick="aceptar()"></td>
			        <td><img align="middle"  src="../img/Printer_Icon_64.png" alt="Salir" width="64" height="64"  onClick="imprimir()"></td>
		          </tr>
		         </table>
                 </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>
 
<?php   
   } 
     } else {    // si la factura viene vacia 
    // no hace nada 
	
	echo "Favor verifique factura no se realizo con exito, intente nuevamente " ;
  }  
?>   
   	<script languaje="javascript">
	pon_prefijo(<?php  echo $filas?>);
	
	</script>					


					

	